Bug 143830 - Nautilus stops updating directory contents after a time
Nautilus stops updating directory contents after a time
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Depends On:
  Show dependency treegraph
Reported: 2004-12-29 11:16 EST by Ben Roe
Modified: 2015-03-03 17:27 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-03 17:06:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ben Roe 2004-12-29 11:16:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
After a few mount/unmount cycles of a removable storage device,
Nautilus stops updating its display when the device is mounted. No
volume icon is displayed on the desktop, but if "Browse removable
device when mounted" is selected, the file manager window still pops
up with the contents of the drive.

This also coincides with all Nautilus windows stopping updating when
their contents changes (eg. file creation/modification).

I have noticed this with a USB Creative MuVo TX, USB Belkin SD-Card
reader and IDE data CDs. The devices are still correctly mounted, can
be read/written and can be unmounted from the command line, so it's
clearly not a kernel or hardware problem.

gam_server is still running when this happens and logging out and in
again fixes the problem. I can find no relevant syslog entries.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Mount and unmount a storage volume several times
2. Insert removable storage
3. Wait

Actual Results:  No icon is displayed on the desktop

Expected Results:  The desktop window should be updated with the
volume icon

Additional info:
Comment 1 Ben Roe 2004-12-30 13:02:43 EST
I'm guessing it's a gamin problem: upgrading to gamin-0.0.19-1 seems
to have fixed the problem for me.
Comment 2 Ben Roe 2004-12-30 13:04:29 EST
No, ignore my last comment: it just took ~10 mount/remount cycles to
happen instead of ~2 as it did before.
Comment 3 Matthew Miller 2006-07-10 19:13:49 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 Dave Botsch 2007-12-14 00:13:48 EST
This basic problem also exists in Redhat Enterprise 4. After some period of
time, one's displayed Desktop stops updating with new or deleted files.

One can "kick" nautilus/gamin by:
killall gam_server
killall nautilus
Comment 5 petrosyan 2008-02-03 17:06:07 EST
Fedora Core 3 is not maintained anymore. If you can reproduce this bug in Fedora
7 or 8 please reopen this bug.
Comment 6 Dave Botsch 2008-02-04 23:53:36 EST
(In reply to comment #5)
> Fedora Core 3 is not maintained anymore. If you can reproduce this bug in Fedora
> 7 or 8 please reopen this bug.

When was this bug fixed in Redhat Enterprise 4?

Note You need to log in before you can comment on or make changes to this bug.